hxt-9.3.1.22: A collection of tools for processing XML with Haskell.

Copyright | Copyright (C) 2011 Uwe Schmidt
License | MIT
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Control.Arrow.NTreeEdit

Description

arrows for efficient editing of rose trees

Synopsis

- editNTreeA :: [IfThen (LA (NTree b) c) (LA (NTree b) (NTree b))] -> LA (NTree b) (NTree b)
- fmapNTreeA :: (b -> Maybe b) -> LA (NTree b) (NTree b)

# Documentation

editNTreeA :: [IfThen (LA (NTree b) c) (LA (NTree b) (NTree b))] -> LA (NTree b) (NTree b) #

Edit parts of a rose tree

The subtrees to be modified are selected by the first part of the IfThen pairs The modification by the second part

fmapNTreeA :: (b -> Maybe b) -> LA (NTree b) (NTree b) #